       d = open("plan")
       getfirst(d)
       for i = 1 to size(d)
          if trim('Расчеты'.d) != "МТ" & trim('Расчеты'.d) != "мт" then goto 900
          dbfname = trim('Номер'.d) + ".btr"
          system("del z.btr")
          system("del z.str")
          comm = "rename " + dbfname  + " Z.BTR"
          system(comm)
          comm = "rename " + trim('Номер'.d) + ".str"  + " Z.STR"
          system(comm)
          comm = "copy " + "mask_mt.btr " + dbfname
          system(comm)
          comm = "copy " + "mask_mt.str " + trim('Номер'.d) + ".str"
          system(comm)
          dz = open("z")
          da = open(trim('Номер'.d))
          for j = 1 to size(dz)
             if j = 1 then goto 100
             getnext(dz)
             goto 200
100          getfirst(dz)
200          clearbuf(da)
             'Субсчет'.da = 'Субсчет'.dz
             'Код'.da = 'Код'.dz
             'Название'.da = 'Название'.dz
             'Склад'.da = 'Склад'.dz
             'Группа'.da = 'Группа'.dz
             'Ед.изм.'.da = 'Ед.изм.'.dz
             'Цена'.da = 'Цена'.dz
             'Нач.кол-во'.da = 'Нач.кол-во'.dz
             'Нач.сумма'.da = 'Нач.сумма'.dz
             'Приход_кол'.da = 'Приход_кол'.dz
             'Приход_сум'.da = 'Приход_сум'.dz
             'Расход_сум'.da = 'Расход_сум'.dz
             'Расход_кол'.da = 'Расход_кол'.dz
             'Ост.кол-во'.da = 'Ост.кол-во'.dz
             'Ост.сумма'.da = 'Ост.сумма'.dz
             insert(da)
          next
          close(da)
          close(dz)
900       getnext(d)
       next
       close(d)
       end
